Skip to main content
GET
/
v3
/
orders
/
{order}
/
items
/
{item}
Read Order Item
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/orders/{order}/items/{item}
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/orders/{order}/items/{item}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.{tenant}.getomneo.com/api/v3/orders/{order}/items/{item}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "external_id": "<string>",
    "name": "<string>",
    "order_id": 123,
    "product_id": 123,
    "product_variant_id": 123,
    "sku": "<string>",
    "variant_external_id": "<string>",
    "is_void": true,
    "quantity": 123,
    "price_current": 123,
    "price_sell": 123,
    "price_original": 123,
    "price_margin": 123,
    "price_tax": 123,
    "discounts": [
      "<unknown>"
    ],
    "department": "<string>",
    "product_images": {},
    "meta": [
      "<unknown>"
    ],
    "created_at": "<string>",
    "updated_at": "<string>",
    "product_variant": {
      "id": 123,
      "product_id": 123,
      "sku": "<string>",
      "external_id": "<string>",
      "barcode": "<string>",
      "web_url": "<string>",
      "handle": "<string>",
      "title": "<string>",
      "description": "<string>",
      "position": 123,
      "price": 123,
      "price_discounted": 123,
      "price_comparison": 123,
      "price_cost": 123,
      "available_quantity": 123,
      "images": "<string>",
      "meta": [
        "<unknown>"
      ],
      "tags": [
        "<string>"
      ],
      "options": [
        {
          "name": "<string>",
          "value": "<string>",
          "sort_order": 123
        }
      ],
      "created_at": "<string>",
      "updated_at": "<string>",
      "deleted_at": "<string>"
    },
    "product": {
      "title": "<string>",
      "department": "<string>",
      "brand": "<string>",
      "custom_fields": [
        {
          "name": "<string>",
          "handle": "<string>",
          "namespace": "<string>",
          "value": "<string>",
          "type": "<string>",
          "custom_fieldable_type": "<string>",
          "custom_fieldable": {
            "id": "<string>",
            "external_id": "<string>",
            "profile_id": "<string>",
            "meta": "<string>",
            "total": "<string>",
            "total_original": "<string>",
            "rounding": "<string>",
            "margin": "<string>",
            "is_void": "<string>",
            "transacted_at": "<string>",
            "timezone": "<string>",
            "payments": "<string>",
            "receipt_is_email": "<string>",
            "receipt_ref": "<string>",
            "linked_receipt_ref": "<string>",
            "claimed_at": "<string>",
            "receipt_email": "<string>",
            "currency_id": "<string>",
            "currency_rate": "<string>",
            "currency": "<string>",
            "type": "<string>",
            "status": "<string>",
            "order_number": "<string>",
            "order_id": "<string>",
            "external_order_id": "<string>",
            "created_at": "<string>",
            "updated_at": "<string>"
          },
          "created_at": "<string>",
          "updated_at": "<string>",
          "is_index": 123
        }
      ]
    },
    "order": {
      "transacted_at": "<string>",
      "receipt_ref": "<string>",
      "external_id": "<string>"
    }
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Path Parameters

order
integer
required

The order ID

item
integer
required

The item ID

Response

OrderItem

data
OrderItem · object
required